Bug 171185 - Ignores "linux askmethod" selected method
Ignores "linux askmethod" selected method
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 03:19 EDT by Chris
Modified: 2008-04-18 09:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 09:43:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
post-http-install anaconda.log (13.77 KB, text/plain)
2005-10-21 05:56 EDT, Chris
no flags Details

  None (edit)
Description Chris 2005-10-19 03:19:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
Boot CD1, Select "linux askmethod" and then "httpd" to install from, and it goes ahead and installs from CD - ignoring all the HTTPD setup info we typed in.

Version-Release number of selected component (if applicable):
ES4 update 2

How reproducible:
Always

Steps to Reproduce:
1. Boot CD1, 
2. Select "linux askmethod" 
3. Choose "httpd" 
4. wait a while, and is asks for CD2

Actual Results:  asked for CD2, did not use HTTP

Expected Results:  Use HTTP, not ask for or use the booted media

Additional info:

This bug has been around for ages, and it's finally annoyed me enough to report it.

Don't you guys *test* anything ????
Comment 1 Jeremy Katz 2005-10-20 16:45:13 EDT
Can you switch to tty2 from when you get to the second stage of the install and
grab /tmp/anaconda.log to attach to this report.
Comment 2 Chris 2005-10-21 05:56:01 EDT
Created attachment 120243 [details]
post-http-install anaconda.log

Here's a chunk of my apache logs to go with this file - to prove it was talking
to my http server OK:-

2005-10-21 05:55:51	+0	172.22.0.102	8308400 200	-	-      
-	172.22.0.11	172.22.0.11	"GET /rhel4u2/RedHat/base/hdlist
HTTP/1.0"  "-"	   "-"	   -	   -	   -	   -	   -	   11934  
-+-+80
2005-10-21 05:56:35	+0	172.22.0.102	-	404	-	-      
-	172.22.0.11	172.22.0.11	"GET
/rhel4u2/RELEASE-NOTES-en_US.UTF-8.html HTTP/1.0"      "-"    
"Python-urllib/2.1"	-	-	-	-	-	24702	-+-+80
2005-10-21 05:56:35	+0	172.22.0.102	-	404	-	-      
-	172.22.0.11	172.22.0.11	"GET /rhel4u2/RELEASE-NOTES.en_US.UTF-8
HTTP/1.0"   "-"     "Python-urllib/2.1"     -	    -	    -	    -	    -  
    2740    -+-+80
2005-10-21 05:56:35	+0	172.22.0.102	-	404	-	-      
-	172.22.0.11	172.22.0.11	"GET /rhel4u2/RELEASE-NOTES-en_US.html
HTTP/1.0"    "-"     "Python-urllib/2.1"     -	     -	     -	     -	     - 
     20245   -+-+80
2005-10-21 05:56:35	+0	172.22.0.102	-	404	-	-      
-	172.22.0.11	172.22.0.11	"GET /rhel4u2/RELEASE-NOTES.en_US
HTTP/1.0" "-"	  "Python-urllib/2.1"	  -	  -	  -	  -	  -    
  2738	  -+-+80
2005-10-21 05:56:35	+0	172.22.0.102	104935	200	-	-      
-	172.22.0.11	172.22.0.11	"GET /rhel4u2/RELEASE-NOTES-en.html
HTTP/1.0"	"-"	"Python-urllib/2.1"	-	-	-	-      
-	2741	-+-+80
2005-10-21 05:57:21	+0	172.22.0.102	8308400 200	-	-      
-	172.22.0.11	172.22.0.11	"GET /rhel4u2/RedHat/base/hdlist
HTTP/1.0"  "-"	   "Python-urllib/2.1"	   -	   -	   -	   -	   -   
   2737    -+-+80


Here's the relevant place it stuffs up - it should not access the CD any more,
not after it's been given the download URL.

* isostatus = 0
* transferring http://172.22.0.11//rhel4u2/RedHat/base/hdlist to a fd
* Detected stage 2 image on CD
* got url http://172.22.0.11/rhel4u2
* Loading SELinux policy from
/mnt/runtime/etc/selinux/targeted/policy/policy.18
* getting ready to spawn shell now
* modules to insert cdrom ide-cd
* module(s) cdrom ide-cd not found
* load module set done
Comment 3 Jeremy Katz 2005-10-24 13:29:04 EDT
The packages are getting loaded from HTTP -- we just use the stage2 from the CD
to avoid having to do as much downloading.
Comment 4 Chris 2005-10-24 19:45:38 EDT
No - the packages are not loading from HTTP, and it stops and prompts for the 
next CD, completely ignoring the HTTP link.

You should not use whatever was on the CD after you have been told to use 
HTTP - if we wanted a CD install, we would not have entered all our TCP 
settings, set up a web server, extracted all the files there, entered our 
server details and even chosen "linux askmethod" in the first place.

It all works fine in ES3u6, but it does *not* work in ES4u2 - so something has 
been broken when moving to ES4.
Comment 5 Andre Nogueira 2006-09-26 17:03:34 EDT
Hi,

This bug is also present in Fedora Core 5. My DVD is scratched and pretty much
unusable, but it's still useful if I want to download Fedora from the web (it
gets to the part where I can setup networking and input the server configuration
without any problem). However, it continues using the DVD instead of downloading
from the web, and fails right when I try to start installing. If I remove the
DVD when it asks me for my networking settings, I can install just fine.
This definately has to be changed... If I say I want to download from the web, I
expect it to download right away rather than continue reading from the DVD -
even if it's just Stage 2.

Thanks,

Andre Nogueira
Comment 6 Red Hat Bugzilla 2007-02-05 14:00:52 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 7 Chris Lumens 2008-04-18 09:43:58 EDT
While I have never actually seen this problem myself (and have heard no QA
reports about it on the RHEL side of things), we have done a huge amount of work
regarding installation methods for F9.  So I think it's pretty safe to say that
this will not happen in the next release of either Fedora or RHEL.

Note You need to log in before you can comment on or make changes to this bug.